Subject: [alpine-devel] extra/ghostscript

From: Cameron Banta <[email-masked]>
Date: Sun, 1 Mar 2009 22:06:06 -0600

Hello,

Please review and commit this package.

Thanks
Cameron
From 3d266799b506a959a98671287f5321b15b74b998 Mon Sep 17 00:00:00 2001
From: Cameron Banta <[email-masked]>
Date: Mon, 2 Mar 2009 03:52:12 +0000
Subject: [PATCH] initial commit

---
 extra/ghostscript/APKBUILD |   48 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 48 insertions(+), 0 deletions(-)
 create mode 100644 extra/ghostscript/APKBUILD

diff --git a/extra/ghostscript/APKBUILD b/extra/ghostscript/APKBUILD
new file mode 100644
index 0000000..dc5f75f
--- /dev/null
+++ b/extra/ghostscript/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Cameron Banta <[email-masked]>
+# Maintainer: Cameron Banta <[email-masked]>
+pkgname=ghostscript
+pkgver=8.64
+pkgrel=0
+pkgdesc="An interpreter for the PostScript language and for PDF"
+url="http://ghostscript.com/"
+license="GPL"
+depends="uclibc"
+makedepends=""
+install=
+#subpackages="$pkgname-doc $pkgname-dev"
+subpackages="$pkgname-doc"
+source="http://ghostscript.com/releases/$pkgname-$pkgver.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--with-drivers=FILES \
+		--disable-cups --disable-gtk --disable-cairo \
+		--docdir=/usr/share/doc/"$pkgname"
+	make || return 1
+	make DESTDIR="$pkgdir" install
+
+	# license and copying
+	install -m644 -D "$srcdir/$pkgname-$pkgver/LICENSE" \
+		"$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+	install -m644 -D "$srcdir/$pkgname-$pkgver/doc/COPYING" \
+		"$pkgdir/usr/share/licenses/$pkgname/COPYING"
+	
+
+
+	# make the doc and examples more alpine like 
+	#	(the --docdir above doesn't seem to work so good)
+	mkdir -p "$pkgdir/usr/share/doc/$pkgname"
+	mv "$pkgdir/usr/share/$pkgname/$pkgver/doc" "$pkgdir/usr/share/doc/$pkgname"
+	mv "$pkgdir/usr/share/$pkgname/$pkgver/examples" "$pkgdir/usr/share/doc/$pkgname"
+	
+
+	# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="dd927ecf7e4db38b62be3dc17b1b04d2  ghostscript-8.64.tar.gz"
-- 
1.6.1.3

---

From: Natanael Copa <[email-masked]>
Date: Mon, 02 Mar 2009 18:00:51 +0100

> Please review and commit this package.

Nice!

looks very good.

some nitpick follows..

> 
> Thanks
> Cameron 
> 
> 
> 
> 
> 
> 
> differences
> between files
> attachment
> (0001-extra-ghostscript-initial-commit.patch)
> 
>  extra/ghostscript/APKBUILD |   48
> ++++++++++++++++++++++++++++++++++++++++++++

this line should be removed.

> +       #       (the --docdir above doesn't seem to work so good)

Nice that you comment why you do like you do. 

> +       # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname

those 2 lines should be removed. Unlikely that ghostscript will ever
have an init.d script.

> +md5sums="dd927ecf7e4db38b62be3dc17b1b04d2  ghostscript-8.64.tar.gz"

I apply as is. thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Cameron Banta <[email-masked]>
Date: Wed, 4 Mar 2009 07:04:17 -0600

> > Please review and commit this package.
This patch cleans up the nitpick.

Thanks,
Cameron
From 7d52eae5f47c5e9c38fce7f8ffe765b3feb7a98c Mon Sep 17 00:00:00 2001
From: Cameron Banta <[email-masked]>
Date: Tue, 3 Mar 2009 23:41:13 +0000
Subject: [PATCH] minor changes

---
 extra/ghostscript/APKBUILD |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

diff --git a/extra/ghostscript/APKBUILD b/extra/ghostscript/APKBUILD
index dc5f75f..e387f85 100644
--- a/extra/ghostscript/APKBUILD
+++ b/extra/ghostscript/APKBUILD
@@ -9,7 +9,6 @@ license="GPL"
 depends="uclibc"
 makedepends=""
 install=
-#subpackages="$pkgname-doc $pkgname-dev"
 subpackages="$pkgname-doc"
 source="http://ghostscript.com/releases/$pkgname-$pkgver.tar.gz"
 
@@ -41,8 +40,6 @@ build() {
 	mv "$pkgdir/usr/share/$pkgname/$pkgver/examples" "$pkgdir/usr/share/doc/$pkgname"

-	# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
-	# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
 }
 
 md5sums="dd927ecf7e4db38b62be3dc17b1b04d2  ghostscript-8.64.tar.gz"
-- 
1.6.1.3

---

From: Natanael Copa <[email-masked]>
Date: Wed, 04 Mar 2009 15:09:24 +0100

On Wed, 2009-03-04 at 07:04 -0600, Cameron Banta wrote:
> On Mon, Mar 2, 2009 at 11:00 AM, Natanael Copa
> <[email-masked]> wrote:

applied. thanks!

---